### Constructor

# EDataBook DataBookViewWatcherSqlite new

since: 3.50

#### Declaration [src]

    GObject*
    e_data_book_view_watcher_sqlite_new (
      EBookBackend* backend,
      EBookSqlite* ebsql,
      EDataBookView* view
    )

#### Description [src]

Creates a new `EDataBookViewWatcherSqlite`, which will watch the `view` and will provide the information about indices and total contacts to the `backend`, taking the data from the `ebsql`.

Available since: 3.50

#### Parameters

`backend`

  Type: `EBookBackend`

  An `EBookBackend`.

  The data is owned by the caller of the function.

`ebsql`

  Type: `EBookSqlite`

  An `EBookSqlite`.

  The data is owned by the caller of the function.

`view`

  Type: `EDataBookView`

  An `EDataBookView`.

  The data is owned by the caller of the function.

#### Return value

Type: `GObject`

A new `EDataBookViewWatcherSqlite`.

The caller of the function takes ownership of the data, and is responsible for freeing it.